Skip to main content
`Ctrl`+`K`

# KSPSetDiagonalScaleFix

Tells `KSP` to diagonally scale the system back after solving.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetDiagonalScaleFix(KSP ksp, PetscBool fix)

Logically Collective

## Input Parameters

- ksp - the `KSP` context

- fix - `PETSC_TRUE` to scale back after the system solve, `PETSC_FALSE` to not rescale (default)

## Notes

Must be called after `KSPSetDiagonalScale()`

Using this will slow things down, because it rescales the matrix before and after each linear solve. This is intended mainly for testing to allow one to easily get back the original system to make sure the solution computed is accurate enough.

## See Also

KSP: Linear System Solvers, `KSPGetDiagonalScale()`, `KSPSetDiagonalScale()`, `KSPGetDiagonalScaleFix()`, `KSP`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages